org.eclipse.ease.lang.unittest.runtime

## Interface ITest

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IStackTraceContainer, ITestEntity, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  Test

    public interface ITest
    extends ITestEntity, IStackTraceContainer

A representation of the model object 'Test'.

The following features are supported:

- `Duration Limit`

See Also:
  `IRuntimePackage.getTest()`

### Field Summary

### Fields inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`CUSTOM_CODE, GLOBAL_SCOPE_TEST`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getDurationLimit()` Returns the value of the 'Duration Limit' attribute.
`void` `setDurationLimit(long value)` Sets the value of the '`Duration Limit`' attribute.

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`addError, getDescription, getDuration, getEndTimestamp, getEntityStatus, getEstimatedDuration, getFullPath, getMetadata, getName, getParent, getResource, getResults, getResults, getRoot, getStartTimestamp, getStatus, getTestSuite, getWorstResult, hasError, isDisabled, isTerminated, reset, run, setDescription, setDisabled, setEndTimestamp, setEntityStatus, setEstimatedDuration, setName, setParent, setStartTimestamp, setTerminated`

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.IStackTraceContainer

`getStackTrace, setStackTrace`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getDurationLimit

    long getDurationLimit()

Returns the value of the 'Duration Limit' attribute. The default value is `"-1"`.

If the meaning of the 'Duration Limit' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Duration Limit' attribute.
See Also:
  `setDurationLimit(long)`, `IRuntimePackage.getTest_DurationLimit()`

#### setDurationLimit

    void setDurationLimit(long value)

Sets the value of the '`Duration Limit`' attribute.

Parameters:
  `value` - the new value of the 'Duration Limit' attribute.
See Also:
  `getDurationLimit()`